{% extends "base/base.html" %}

{% load staticfiles %}

{% block content %}

    <h1 class="page-header">
        {{ tile }}
        <small>
            {{ tile.controlled_by.get_html_link|safe }}
        </small>
    </h1>

    <div class="row">
        <div class="col-lg-6">
            <p>
                {{ tile }}, {{ tile.region }}.
            </p>

            {% for battle in tile.get_current_battles %}
                <p class="alert alert-danger text-center">
                    <a href="{{ battle.get_absolute_url }}">
                        Battle in progress
                    </a>
                </p>
            {% endfor %}

            {% for conquest in conquests %}
                <p class="alert alert-danger text-center">
                    {{ conquest.organization.get_html_link|safe }} is occupying this region.
                </p>
            {% endfor %}


            <div class="panel panel-default">
                <div class="panel-heading"><h3 class="panel-title">Characters here</h3></div>
                <div class="panel-body">
                    {% for character in characters.all %}
                        {{ character.get_html_link|safe }} - {{ character.location }}<br>
                    {% empty %}
                        No one
                    {% endfor %}
                </div>
            </div>

            <div class="panel panel-default">
                <div class="panel-heading"><h3 class="panel-title">Troops here</h3></div>
                <div class="panel-body">
                    {% for unit in units %}
                            {{ unit.get_html_link|safe }}
                            {% if unit.owner_character %}
                                ({{ unit.owner_character.get_html_link|safe }})
                            {% else %}
                                ({{ unit.get_violence_monopoly.get_html_link|safe }})
                            {% endif %}
                            &nbsp;&nbsp;&nbsp;&nbsp;{{ unit.location }}<br>
                    {% empty %}
                        None
                    {% endfor %}
                </div>
            </div>

        </div>

        <div class="col-lg-6 col-md-12 placeholder">
            <iframe
                    id="tile_map"
                    class="placeholder tile_view_iframe"
                    scrolling="no"
                    src="{% url 'world:tile_iframe' tile.id %}"
            ></iframe>
        </div>
    </div>

    <hr>

    <h2>Settlements</h2>

    {% for settlement in tile.settlement_set.all %}
        <div class="col-md-6">
            <div class="panel panel-default">
                <div class="panel-heading"><h3 class="panel-title">
                    <span class="lead">{{ settlement }}</span>
                    pop. {{ settlement.population }}
                </h3></div>
                <div class="panel-body">

                    <p class="{% if settlement.get_hunger_percentage > 15 %}text-danger{% endif %}">
                    Hunger: {{ settlement.get_hunger_percentage }}%
                    </p>

                    <p class="{% if settlement.public_order < 500 %}text-danger{% endif %}">
                    Public order: {{ settlement.get_public_order_display }}
                    </p>

                    <h6>Buildings</h6>

                    <ul>
                        {% for building in settlement.building_set.all %}
                            <li>
                                {{ building|capfirst }}
                                {% if building.type == 'granary' %}
                                    - {{ building.grain_reserve_in_months }} months reserve, {{ building.get_public_bushels_object.quantity }} bushels
                                {% elif building.type == 'grain field' %}
                                    {% if harvest %}<b>(harvesting)</b>{% endif %}
                                    - {{ building.worker.count }}
                                    ({{ building.worker_percent }}%) workers
                                {% elif building.type == 'guild' %}
                                    ({{ settlement.get_guilds_setting_display }})
                                    - {{ building.worker.count }} workers
                                {% endif %}
                            </li>
                        {% endfor %}
                    </ul>

                    <p>
                        {{ settlement.disability_percentage }}% disabled
                        population
                    </p>

                    <p>
                        {{ settlement.female_percentage }}% female -
                        {{ settlement.male_percentage }}% male
                    </p>
                </div>
            </div>
        </div>
    {% endfor %}

{% endblock %}
